﻿using FlowerShopContracts.Attributes;
using FlowerShopDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FlowerShopContracts.ViewModels
{
    public class FlowerViewModel : IFlowerModel
    {
		[Column(visible: false)]
		public int Id { get; set; }
		[Column(title: "Название цветка", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string FlowerName { get; set; } = string.Empty;
		[Column(title: "Цена", width: 100)]
		public double Price { get; set; }
		[Column(visible: false)]
		public Dictionary<int, (IComponentModel, int)> FlowerComponents
		{
            get;
            set;
        } = new();
    }
}
